msgSock = require 'message-socket'
msgSock.messageFormat = 'json'

http = require 'http'

# config push socket
push = msgSock.push 'tcp://127.0.0.1:2001'

client = (data) ->
  http.createServer( (req,res) ->
    setTimeout ->
      res.writeHead 200, 'Content-Type': 'text/html'
      res.write "This is client #{data.name} running on #{data.port}"
      res.end()
    , 50
  ).listen data.port

  push
    msg: 'connect'
    name: data.name
    host: 'localhost'
    port: data.port
    handlers: data.handlers

client
  name: 'A'
  port: 8001
  handlers: [
    path: '/foo'
    feature: 'foo'
  ,
    { path: '/a-1' }
    { path: '/a-2' }
    { path: '/a-3' }
    { path: '/a-4' }
    { path: '/a-5' }
    { path: '/a-6' }
    { path: '/a-7' }
    { path: '/a-8' }
    { path: '/a-9' }
  ]

client
  name: 'B'
  port: 8002
  handlers: [
    { path: '/b-1' }
    { path: '/b-2' }
    { path: '/b-3' }
    { path: '/b-4' }
    { path: '/b-5' }
    { path: '/b-6' }
    { path: '/b-7' }
    { path: '/b-8' }
    { path: '/b-9' }
  ]

client
  name: 'C'
  port: 8003
  handlers: [
    { path: '/c-1' }
    { path: '/c-2' }
    { path: '/c-3' }
    { path: '/c-4' }
    { path: '/c-5' }
    { path: '/c-6' }
    { path: '/c-7' }
    { path: '/c-8' }
    { path: '/c-9' }
  ]

client
  name: 'D'
  port: 8004
  handlers: [
    { path: '/d-1' }
    { path: '/d-2' }
    { path: '/d-3' }
    { path: '/d-4' }
    { path: '/d-5' }
    { path: '/d-6' }
    { path: '/d-7' }
    { path: '/d-8' }
    { path: '/d-9' }
  ]

client
  name: 'E'
  port: 8005
  handlers: [
    { path: '/e-1' }
    { path: '/e-2' }
    { path: '/e-3' }
    { path: '/e-4' }
    { path: '/e-5' }
    { path: '/e-6' }
    { path: '/e-7' }
    { path: '/e-8' }
    { path: '/e-9' }
  ]
