dummyDefaultPort = 8000

# A dummy default client
require('http').createServer((req, res) ->
  setTimeout ->
    dumpRequest req, res
  , 50
).listen dummyDefaultPort

console.log "running dummy default client on: http://localhost:#{dummyDefaultPort}"

# Start das with dummy default client
require('../dcrp.coffee').run ["http://localhost:#{dummyDefaultPort}"]
console.log "running dcrp on http://localhost:9000"

# --

dumpRequest = (req, res) ->
  res.writeHead 200, 'Content-Type': 'text/html'
  res.write """
  I'm the default app!
  <pre>#{htmlEscape JSON.stringify(req.headers, true, 2)}</pre>
  """
  res.end()

htmlEscape = (html) ->
  html.split('&').join('&amp;').
       split('<').join('&lt;').
       split('>').join('&gt;').
       split('"').join('&quot;')
