(function() {
  var Handler, test;
  Handler = require('./..')._test.Handler;
  test = function(data) {
    return module.exports[data.expr] = function(nuTest) {
      var hanlder, path, _i, _j, _len, _len2, _ref, _ref2;
      hanlder = new Handler(null, {
        path: data.expr
      });
      _ref = data.pass || [];
      for (_i = 0, _len = _ref.length; _i < _len; _i++) {
        path = _ref[_i];
        nuTest.ok(hanlder.pathMatches(path), "" + path + " does not match " + data.expr);
      }
      _ref2 = data.fail || [];
      for (_j = 0, _len2 = _ref2.length; _j < _len2; _j++) {
        path = _ref2[_j];
        nuTest.ok(!hanlder.pathMatches(path), "" + path + " did match " + data.expr + " but shouldn't");
      }
      return nuTest.done();
    };
  };
  test({
    expr: '/',
    pass: ['/'],
    fail: ['/foo']
  });
  test({
    expr: '/foo',
    pass: ['/foo'],
    fail: ['/foo/', '/foo.xml', '/foodasdsadsa']
  });
  test({
    expr: '/*',
    pass: ['/foo', '/foo.bar', '/foo%2Fbar'],
    fail: ['/', '/foo/bar']
  });
  test({
    expr: '/*/bar/*',
    pass: ['/foo/bar/baz'],
    fail: ['/foo', '/foo/bar/baz/boom']
  });
  test({
    expr: '/**',
    pass: ['/foo', '/foo/bar/baz'],
    fail: ['/']
  });
  test({
    expr: '/foo/**/bar',
    pass: ['/foo/baz/bar', '/foo/baz/boom/bar'],
    fail: ['/foo/something/something', '/foo/bar']
  });
  test({
    expr: '/föö',
    pass: ['/f%C3%B6%C3%B6']
  });
}).call(this);
